apr-util

From AIXTOOLS
Jump to: navigation, search

Packages|Apache|aixtools.apache.apr-util.1.6.0.0.I

MD5 Checksums

38412E2BFA48F035AFEEA8CF1578B4D3 aixtools.apache.apr-util.1.6.0.0.I

Contents


Package Details

Version: 1.6.0
Released: 2017-06-14
Sources from: https://apr.apache.org/download.cgi
Depends on: apr

APR-UTIL - or Apache Portable Runtime Utilities

Since 2011 APR and APR-UTIL are packaged seperately from HTTPD-2.4.X. APR and APR-UTIL-1.6.X are the latest releases.

Recommended releases

--Michael Felt (talk) 15:46, 19 November 2016 (UTC)

  • The new package name (aixtools.apache.*) reflects the change from using the build/aix/buildaix.ksh script to AIXTOOLS buildaix generic packager.

The recommended releases of the several Apache Portable Runtime libraries are

  • APR 1.6.2, released June 14, 2017
  • APR-util 1.6.0, released June 14, 2017
  • APR-iconv 1.2.1, released November 26, 2007

Apache Portable Runtime Utility 1.6.0 Released

The Apache Software Foundation and the Apache Portable Runtime Project are proud to announce the General Availability of version 1.6.0 of the APR Apache Portable Runtime Utility library. Users of earlier versions are encouraged to update to this release.

The main changes in this release are concerned with the third-party dependencies, including unbundling expat, and building with up-to-date versions of libraries such as OpenSSL and MySQL.

For further details of this release, see the official announcement as well as the CHANGES-APR-UTIL-1.6 file.

Programmer's Manual: APR-util

APR is compiler dependent

One of the functions of the APR and APR-UTIL packages is to provide compiler and library flags. The IBM VAC (aka xlC) compiler has different flags than GCC - so there are two names for the APR-UTIL when it is packaged: when built with the IBM compiler it is named

  • ASF.apu-vac.rte

and when built using GCC it is named

  • ASF.apu-gcc.rte

Archive

D7EB8BB6A0C7CAA4F162F29DE57C6455 aixtools.apache.apr-util.1.5.4.2.I
02DB924B44471D6921CE207BF7986835 aixtools.asf.apr-util.1.5.4.0.aix537.I
Version: 1.5.4
Released: 2014-09-22
Depends on: apr - also, when using mod_ldap in httpd-2.4 you will need to install and configure IBM "idsldap|sdsldap" client - 64-bit enabled
Personal tools
Namespaces

Variants
Actions
Navigation
Downloads
Toolbox